## grantlee-editor 25.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.3")
project(grantlee-editor VERSION ${PIM_VERSION})
set(RELEASE_SERVICE_VERSION "25.08.3")
set(KF_MIN_VERSION "6.14.0")
set(QT_REQUIRED_VERSION "6.8.0")
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)

include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    *.cpp
    *.h
    *.c
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)

include(ECMCheckOutboundLicense)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    headerthemeeditor/*.cpp
    headerthemeeditor/*.h
    contactthemeeditor/*.cpp
    contactthemeeditor/*.h
    grantleethemeeditor/*.cpp
    grantleethemeeditor/*.h
    contactprintthemeeditor/*.cpp
    contactprintthemeeditor/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

# Do NOT add quote
set(KDEPIM_DEV_VERSION)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "6")
set(MESSAGELIB_LIB_VERSION "6.5.3")

set(AKONADI_CONTACT_VERSION "6.5.3")
set(KPIMTEXTEDIT_LIB_VERSION "6.5.3")
set(LIBGRANTLEETHEME_LIB_VERSION "6.5.3")
set(KIMAP_LIB_VERSION "6.5.3")
set(PIMCOMMON_LIB_VERSION "6.5.3")
set(KPIM_MIME_VERSION "6.5.3")
set(KTEXTADDONS_MIN_VERSION "1.6.0")
find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED
        Widgets
        WebEngineWidgets
)

# Find KF6 package
find_package(KF6Crash ${KF_MIN_VERSION} REQUIRED)
find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Archive ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommon ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6GrantleeTheme ${LIBGRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiContactWidgets ${AKONADI_CONTACT_VERSION} CONFIG REQUIRED)
find_package(KPim6IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)

find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(
    KF6DocTools
    PROPERTIES
        DESCRIPTION
            "Tools to generate documentation"
        TYPE
            OPTIONAL
)

# Find KdepimLibs Package
find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)

find_package(KF6SyntaxHighlighting ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextCustomEditor ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

include_directories(
    ${grantlee-editor_SOURCE_DIR}
    ${grantlee-editor_BINARY_DIR}
)

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)

configure_file(grantleeeditor-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/grantleeeditor-version.h @ONLY)
option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()
add_subdirectory(headerthemeeditor)
add_subdirectory(contactthemeeditor)
add_subdirectory(grantleethemeeditor)
add_subdirectory(contactprintthemeeditor)

ecm_qt_install_logging_categories(
        EXPORT GRANTLEEEDITOR
        FILE grantleeditor.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()

if(KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== contactprintthemeeditor/CMakeLists.txt ===
add_executable(contactprintthemeeditor)
target_sources(
    contactprintthemeeditor
    PRIVATE
        main.cpp
        defaultcompletion.cpp
        editorpage.cpp
        contactprintthemeconfiguredialog.cpp
        themedefaulttemplate.cpp
        themeeditormainwindow.cpp
        themeeditorpage.cpp
        contactprintthemeeditorutil.cpp
        themeeditorwidget.cpp
        themetemplatewidget.cpp
        contactprintthemepreview.cpp
        defaultcompletion.h
        editorpage.h
        contactprintthemeconfiguredialog.h
        themedefaulttemplate.h
        themeeditormainwindow.h
        themeeditorpage.h
        contactprintthemeeditorutil.h
        themeeditorwidget.h
        themetemplatewidget.h
        contactprintthemepreview.h
        contactprintthemeeditor.qrc
)

ecm_qt_declare_logging_category(contactprintthemeeditor HEADER contactprintthemeeditor_debug.h IDENTIFIER CONTACTPRINTTHEMEEDITOR_LOG CATEGORY_NAME org.kde.pim.contactprintthemeeditor
        DESCRIPTION "grantleeeditor (contactprintthemeeditor)"
        OLD_CATEGORY_NAMES log_contactprintthemeeditor
        EXPORT GRANTLEEEDITOR
)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        contactprintthemeeditor
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()

target_link_libraries(
    contactprintthemeeditor
    KF6::DBusAddons
    KPim6::AkonadiContactWidgets
    KPim6::PimCommon
    grantleethemeeditor
    KF6::I18n
    Qt::WebEngineWidgets
    KF6::XmlGui
    KF6::Crash
)

install(
    TARGETS
        contactprintthemeeditor
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(PROGRAMS org.kde.contactprintthemeeditor.desktop DESTINATION ${KDE_INSTALL_APPDIR})

=== debian/changelog ===
grantlee-editor (4:25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 17:58:44 +0100

grantlee-editor (4:25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:25:11 +0100

grantlee-editor (4:24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:50:42 +0100

=== debian/control ===
Source: grantlee-editor
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libakonadicontact-dev (>= 4:25.08.3~),
               libgrantleetheme-dev (>= 25.08.3~),
               libkf6archive-dev (>= 6.14.0~),
               libkf6crash-dev (>= 6.14.0~),
               libkf6dbusaddons-dev (>= 6.14.0~),
               libkf6doctools-dev (>= 6.14.0~),
               libkf6syntaxhighlighting-dev (>= 6.14.0~),
               libkf6xmlgui-dev (>= 6.14.0~),
               libkimap-dev (>= 25.08.3~),
               libkmime-dev (>= 25.08.3~),
               libktextaddons-dev (>= 1.6.0~),
               libpimcommon-dev (>= 4:25.08.3~),
               messagelib-dev (>= 4:25.08.3~),
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-webengine-dev (>= 6.8.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/grantlee-editor
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/grantlee-editor
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/grantlee-editor.git
Rules-Requires-Root: no

Package: kdepim-themeeditors
Architecture: amd64 arm64 armhf i386
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: kaddressbook,
          kmail,
Description: Theme Editors for KDE PIM applications
 KDE PIM Theme Editors allow you to create and edit various KDE themes for
 KDE PIM software such as KMail and KAddressBook.

## grantlee-editor 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.3")
+set(PIM_VERSION "6.5.80")
 project(grantlee-editor VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "25.08.3")
-set(KF_MIN_VERSION "6.14.0")
+set(RELEASE_SERVICE_VERSION "25.11.80")
+set(KF_MIN_VERSION "6.18.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -44,7 +44,7 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
-
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 include(ECMCheckOutboundLicense)
 file(
     GLOB_RECURSE ALL_SOURCE_FILES
@@ -60,7 +60,7 @@
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION)
+set(KDEPIM_DEV_VERSION beta)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -71,15 +71,15 @@
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
-set(MESSAGELIB_LIB_VERSION "6.5.3")
+set(MESSAGELIB_LIB_VERSION "6.5.80")
 
-set(AKONADI_CONTACT_VERSION "6.5.3")
-set(KPIMTEXTEDIT_LIB_VERSION "6.5.3")
-set(LIBGRANTLEETHEME_LIB_VERSION "6.5.3")
-set(KIMAP_LIB_VERSION "6.5.3")
-set(PIMCOMMON_LIB_VERSION "6.5.3")
-set(KPIM_MIME_VERSION "6.5.3")
-set(KTEXTADDONS_MIN_VERSION "1.6.0")
+set(AKONADI_CONTACT_VERSION "6.5.80")
+set(KPIMTEXTEDIT_LIB_VERSION "6.5.80")
+set(LIBGRANTLEETHEME_LIB_VERSION "6.5.80")
+set(KIMAP_LIB_VERSION "6.5.80")
+set(PIMCOMMON_LIB_VERSION "6.5.80")
+set(KPIM_MIME_VERSION "6.5.80")
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
 find_package(
     Qt6
     ${QT_REQUIRED_VERSION}
@@ -122,7 +122,7 @@
 )
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 configure_file(grantleeeditor-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/grantleeeditor-version.h @ONLY)
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
grantlee-editor (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:53:13 +0000

grantlee-editor (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:20:48 +0000

=== debian/control ===
Source: grantlee-editor
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadicontact-dev (>= 4:25.11.80~),
               libgrantleetheme-dev (>= 25.11.80~),
               libkf6archive-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6syntaxhighlighting-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkimap-dev (>= 25.11.80~),
               libkmime-dev (>= 25.11.80~),
               libktextaddons-dev (>= 1.5.4~),
               libpimcommon-dev (>= 4:25.11.80~),
               messagelib-dev (>= 4:25.11.80~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-webengine-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/grantlee-editor
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/grantlee-editor
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/grantlee-editor
Rules-Requires-Root: no

Package: kdepim-themeeditors
Architecture: amd64 arm64 armhf i386
Depends: ${misc:Depends}, ${shlibs:Depends},
Suggests: kaddressbook, kmail,
Description: Theme Editors for KDE PIM applications
 KDE PIM Theme Editors allow you to create and edit various KDE themes for
 KDE PIM software such as KMail and KAddressBook.

## grantlee-editor 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.5.90")
 project(grantlee-editor VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "25.11.80")
+set(RELEASE_SERVICE_VERSION "25.11.90")
 set(KF_MIN_VERSION "6.18.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -60,7 +60,7 @@
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION beta)
+set(KDEPIM_DEV_VERSION rc)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -71,14 +71,14 @@
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
-set(MESSAGELIB_LIB_VERSION "6.5.80")
+set(MESSAGELIB_LIB_VERSION "6.5.90")
 
-set(AKONADI_CONTACT_VERSION "6.5.80")
-set(KPIMTEXTEDIT_LIB_VERSION "6.5.80")
-set(LIBGRANTLEETHEME_LIB_VERSION "6.5.80")
-set(KIMAP_LIB_VERSION "6.5.80")
-set(PIMCOMMON_LIB_VERSION "6.5.80")
-set(KPIM_MIME_VERSION "6.5.80")
+set(AKONADI_CONTACT_VERSION "6.5.90")
+set(KPIMTEXTEDIT_LIB_VERSION "6.5.90")
+set(LIBGRANTLEETHEME_LIB_VERSION "6.5.90")
+set(KIMAP_LIB_VERSION "6.5.90")
+set(PIMCOMMON_LIB_VERSION "6.5.90")
+set(KPIM_MIME_VERSION "6.5.90")
 set(KTEXTADDONS_MIN_VERSION "1.8.0")
 find_package(
     Qt6

=== debian/changelog ===
grantlee-editor (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:59:11 +0000

=== debian/control ===
--- 
+++ 
@@ -12,19 +12,19 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadicontact-dev (>= 4:25.11.80~),
-               libgrantleetheme-dev (>= 25.11.80~),
+               libakonadicontact-dev (>= 4:25.11.90~),
+               libgrantleetheme-dev (>= 25.11.90~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6dbusaddons-dev (>= 6.6.0~),
                libkf6doctools-dev (>= 6.6.0~),
                libkf6syntaxhighlighting-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkimap-dev (>= 25.11.80~),
-               libkmime-dev (>= 25.11.80~),
+               libkimap-dev (>= 25.11.90~),
+               libkmime-dev (>= 25.11.90~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:25.11.80~),
-               messagelib-dev (>= 4:25.11.80~),
+               libpimcommon-dev (>= 4:25.11.90~),
+               messagelib-dev (>= 4:25.11.90~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-webengine-dev (>= 6.7.0~),

## grantlee-editor 25.12.0

=== debian/changelog ===
grantlee-editor (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:14:18 +0000

=== debian/control ===
--- 
+++ 
@@ -12,19 +12,19 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadicontact-dev (>= 4:25.11.90~),
-               libgrantleetheme-dev (>= 25.11.90~),
+               libakonadicontact-dev (>= 4:25.12.0~),
+               libgrantleetheme-dev (>= 25.12.0~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6dbusaddons-dev (>= 6.6.0~),
                libkf6doctools-dev (>= 6.6.0~),
                libkf6syntaxhighlighting-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkimap-dev (>= 25.11.90~),
-               libkmime-dev (>= 25.11.90~),
+               libkimap-dev (>= 25.12.0~),
+               libkmime-dev (>= 25.12.0~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:25.11.90~),
-               messagelib-dev (>= 4:25.11.90~),
+               libpimcommon-dev (>= 4:25.12.0~),
+               messagelib-dev (>= 4:25.12.0~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-webengine-dev (>= 6.7.0~),

## grantlee-editor 25.12.0+p24.04+vstable+git20251224.0844

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.90")
+set(PIM_VERSION "6.6.1")
 project(grantlee-editor VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "25.11.90")
+set(RELEASE_SERVICE_VERSION "25.12.1")
 set(KF_MIN_VERSION "6.18.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -60,7 +60,7 @@
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION rc)
+set(KDEPIM_DEV_VERSION)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -71,14 +71,14 @@
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
-set(MESSAGELIB_LIB_VERSION "6.5.90")
+set(MESSAGELIB_LIB_VERSION "6.6.0")
 
-set(AKONADI_CONTACT_VERSION "6.5.90")
-set(KPIMTEXTEDIT_LIB_VERSION "6.5.90")
-set(LIBGRANTLEETHEME_LIB_VERSION "6.5.90")
-set(KIMAP_LIB_VERSION "6.5.90")
-set(PIMCOMMON_LIB_VERSION "6.5.90")
-set(KPIM_MIME_VERSION "6.5.90")
+set(AKONADI_CONTACT_VERSION "6.6.0")
+set(KPIMTEXTEDIT_LIB_VERSION "6.6.0")
+set(LIBGRANTLEETHEME_LIB_VERSION "6.6.0")
+set(KIMAP_LIB_VERSION "6.6.0")
+set(PIMCOMMON_LIB_VERSION "6.6.0")
+set(KPIM_MIME_VERSION "6.6.0")
 set(KTEXTADDONS_MIN_VERSION "1.8.0")
 find_package(
     Qt6

=== debian/changelog ===
grantlee-editor (4:25.12.0+p24.04+vstable+git20251224.0844-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 08:44:56 +0000

grantlee-editor (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:39:29 +1000

grantlee-editor (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:43:03 +1000

## grantlee-editor 25.12.0+p24.04+vstable+git20251231.0508

=== debian/changelog ===
grantlee-editor (4:25.12.0+p24.04+vstable+git20251231.0508-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 05:08:36 +0000

## grantlee-editor 25.12.0+p24.04+vunstable+git20251209.0459

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.1")
+set(PIM_VERSION "6.6.40")
 project(grantlee-editor VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "25.12.1")
-set(KF_MIN_VERSION "6.18.0")
-set(QT_REQUIRED_VERSION "6.8.0")
+set(RELEASE_SERVICE_VERSION "26.03.40")
+set(KF_MIN_VERSION "6.20.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 include(ECMInstallIcons)
@@ -60,7 +60,7 @@
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION)
+set(KDEPIM_DEV_VERSION alpha)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -71,15 +71,15 @@
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
-set(MESSAGELIB_LIB_VERSION "6.6.0")
+set(MESSAGELIB_LIB_VERSION "6.6.40")
 
-set(AKONADI_CONTACT_VERSION "6.6.0")
-set(KPIMTEXTEDIT_LIB_VERSION "6.6.0")
-set(LIBGRANTLEETHEME_LIB_VERSION "6.6.0")
-set(KIMAP_LIB_VERSION "6.6.0")
-set(PIMCOMMON_LIB_VERSION "6.6.0")
-set(KPIM_MIME_VERSION "6.6.0")
-set(KTEXTADDONS_MIN_VERSION "1.8.0")
+set(AKONADI_CONTACT_VERSION "6.6.40")
+set(KPIMTEXTEDIT_LIB_VERSION "6.6.40")
+set(LIBGRANTLEETHEME_LIB_VERSION "6.6.40")
+set(KIMAP_LIB_VERSION "6.6.40")
+set(PIMCOMMON_LIB_VERSION "6.6.40")
+set(KPIM_MIME_VERSION "6.6.40")
+set(KTEXTADDONS_MIN_VERSION "1.8.82")
 find_package(
     Qt6
     ${QT_REQUIRED_VERSION}
@@ -122,7 +122,7 @@
 )
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.21.0)
 
 configure_file(grantleeeditor-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/grantleeeditor-version.h @ONLY)
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
grantlee-editor (4:25.12.0+p24.04+vunstable+git20251209.0459-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 04:59:06 +0000

## grantlee-editor 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.40")
+set(PIM_VERSION "6.6.1")
 project(grantlee-editor VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "26.03.40")
-set(KF_MIN_VERSION "6.20.0")
-set(QT_REQUIRED_VERSION "6.9.0")
+set(RELEASE_SERVICE_VERSION "25.12.1")
+set(KF_MIN_VERSION "6.18.0")
+set(QT_REQUIRED_VERSION "6.8.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 include(ECMInstallIcons)
@@ -60,7 +60,7 @@
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION alpha)
+set(KDEPIM_DEV_VERSION)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -71,15 +71,15 @@
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
-set(MESSAGELIB_LIB_VERSION "6.6.40")
+set(MESSAGELIB_LIB_VERSION "6.6.1")
 
-set(AKONADI_CONTACT_VERSION "6.6.40")
-set(KPIMTEXTEDIT_LIB_VERSION "6.6.40")
-set(LIBGRANTLEETHEME_LIB_VERSION "6.6.40")
-set(KIMAP_LIB_VERSION "6.6.40")
-set(PIMCOMMON_LIB_VERSION "6.6.40")
-set(KPIM_MIME_VERSION "6.6.40")
-set(KTEXTADDONS_MIN_VERSION "1.8.82")
+set(AKONADI_CONTACT_VERSION "6.6.1")
+set(KPIMTEXTEDIT_LIB_VERSION "6.6.1")
+set(LIBGRANTLEETHEME_LIB_VERSION "6.6.1")
+set(KIMAP_LIB_VERSION "6.6.1")
+set(PIMCOMMON_LIB_VERSION "6.6.1")
+set(KPIM_MIME_VERSION "6.6.1")
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
 find_package(
     Qt6
     ${QT_REQUIRED_VERSION}
@@ -122,7 +122,7 @@
 )
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.21.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 configure_file(grantleeeditor-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/grantleeeditor-version.h @ONLY)
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
grantlee-editor (4:25.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 20 Jan 2026 21:37:19 +0100

grantlee-editor (4:25.12.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jan 2026 12:49:51 +0100

=== debian/control ===
Source: grantlee-editor
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libakonadicontact-dev (>= 4:25.12.1~),
               libgrantleetheme-dev (>= 25.12.1~),
               libkf6archive-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6syntaxhighlighting-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libkimap-dev (>= 25.12.1~),
               libkmime-dev (>= 25.12.1~),
               libktextaddons-dev (>= 1.8.0~),
               libpimcommon-dev (>= 4:25.12.1~),
               messagelib-dev (>= 4:25.12.1~),
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-webengine-dev (>= 6.8.0~),
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/pim/grantlee-editor
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/grantlee-editor
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/grantlee-editor.git
Rules-Requires-Root: no

Package: kdepim-themeeditors
Architecture: amd64 arm64 armhf i386
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: kaddressbook,
          kmail,
Description: Theme Editors for KDE PIM applications
 KDE PIM Theme Editors allow you to create and edit various KDE themes for
 KDE PIM software such as KMail and KAddressBook.

## grantlee-editor 25.12.1+p24.04+vstable+git20260122.0918

=== debian/changelog ===
grantlee-editor (4:25.12.1+p24.04+vstable+git20260122.0918-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 09:18:46 +0000

grantlee-editor (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:29:55 +1000

## grantlee-editor 25.12.1+p24.04+vstable+git20260130.1238

=== debian/changelog ===
grantlee-editor (4:25.12.1+p24.04+vstable+git20260130.1238-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 12:38:00 +0000

## grantlee-editor 25.12.1+p24.04+vunstable+git20260205.0819

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.1")
+cmake_minimum_required(VERSION 3.27)
+set(PIM_VERSION "6.6.40")
 project(grantlee-editor VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "25.12.1")
-set(KF_MIN_VERSION "6.18.0")
-set(QT_REQUIRED_VERSION "6.8.0")
+set(RELEASE_SERVICE_VERSION "26.03.40")
+set(KF_MIN_VERSION "6.21.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 include(ECMInstallIcons)
@@ -31,9 +31,33 @@
     endif()
 endif()
 if(NOT ${PRE_COMMIT_INSTALLED})
-    include(KDEGitCommitHooks)
-    include(KDEClangFormat)
-    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    find_program(PRE_COMMIT_EXECUTABLE pre-commit)
+    if(PRE_COMMIT_EXECUTABLE)
+        message(STATUS "This module has pre-commit support. pre-commit binary was found. Installing pre-commit hook")
+        execute_process(
+            COMMAND
+                "${PRE_COMMIT_EXECUTABLE}" install -f
+            ERROR_QUIET
+            RESULT_VARIABLE _precommitresult
+            WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
+        )
+        if(_precommitresult EQUAL 0)
+            message(STATUS "Pre-commit installed.")
+        else()
+            message(
+                WARNING
+                "Error during installing pre-commit hook: ${PRE_COMMIT_EXECUTABLE} project source dir ${PROJECT_SOURCE_DIR}"
+            )
+            include(KDEGitCommitHooks)
+            include(KDEClangFormat)
+            kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+        endif()
+    else()
+        message(WARNING "This module has pre-commit support. pre-commit binary was not found.")
+        include(KDEGitCommitHooks)
+        include(KDEClangFormat)
+        kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    endif()
 endif()
 include(CheckFunctionExists)
 
@@ -60,7 +84,7 @@
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION)
+set(KDEPIM_DEV_VERSION alpha)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -71,15 +95,15 @@
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
-set(MESSAGELIB_LIB_VERSION "6.6.1")
+set(MESSAGELIB_LIB_VERSION "6.6.40")
 
-set(AKONADI_CONTACT_VERSION "6.6.1")
-set(KPIMTEXTEDIT_LIB_VERSION "6.6.1")
-set(LIBGRANTLEETHEME_LIB_VERSION "6.6.1")
-set(KIMAP_LIB_VERSION "6.6.1")
-set(PIMCOMMON_LIB_VERSION "6.6.1")
-set(KPIM_MIME_VERSION "6.6.1")
-set(KTEXTADDONS_MIN_VERSION "1.8.0")
+set(AKONADI_CONTACT_VERSION "6.6.40")
+set(KPIMTEXTEDIT_LIB_VERSION "6.6.40")
+set(LIBGRANTLEETHEME_LIB_VERSION "6.6.40")
+set(KIMAP_LIB_VERSION "6.6.40")
+set(PIMCOMMON_LIB_VERSION "6.6.40")
+set(KPIM_MIME_VERSION "6.6.40")
+set(KTEXTADDONS_MIN_VERSION "1.9.1")
 find_package(
     Qt6
     ${QT_REQUIRED_VERSION}
@@ -122,7 +146,12 @@
 )
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
+    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
+    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
+endif()
+ecm_set_disabled_deprecation_versions(QT 6.11.0 KF 6.22.0 KMIME 6.7.0)
 
 configure_file(grantleeeditor-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/grantleeeditor-version.h @ONLY)
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
grantlee-editor (4:25.12.1+p24.04+vunstable+git20260205.0819-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 08:19:16 +0000

## grantlee-editor 25.12.2

=== debian/changelog ===
grantlee-editor (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 16:38:42 +0000

grantlee-editor (4:25.12.1-0ubuntu2) resolute; urgency=medium

  * Add amd64v3 to build architectures.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Jan 2026 11:37:22 +0000

grantlee-editor (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:57:43 +0000

=== debian/control ===
Source: grantlee-editor
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadicontact-dev (>= 4:25.12.2~),
               libgrantleetheme-dev (>= 25.12.2~),
               libkf6archive-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6syntaxhighlighting-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkimap-dev (>= 25.12.2~),
               libkmime-dev (>= 25.12.2~),
               libktextaddons-dev (>= 1.5.4~),
               libpimcommon-dev (>= 4:25.12.2~),
               messagelib-dev (>= 4:25.12.2~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-webengine-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/grantlee-editor
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/grantlee-editor
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/grantlee-editor
Rules-Requires-Root: no

Package: kdepim-themeeditors
Architecture: amd64 amd64v3 arm64 armhf i386
Depends: ${misc:Depends}, ${shlibs:Depends},
Suggests: kaddressbook, kmail,
Description: Theme Editors for KDE PIM applications
 KDE PIM Theme Editors allow you to create and edit various KDE themes for
 KDE PIM software such as KMail and KAddressBook.
